<?php
session_start();
include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }  
?>


<html>
<head>
<title>RRB - Abonos Eventos</title>
</head>

<body>
<?php
extract($_POST);
$res=0;
$idcdin = $sesion->id;
$gtot=$monto;
$tipop=$opc;
$ifecha=$fecha_i;
$idbanco=$banco;
//$ifolio=$_POST['folio'];
$bconf=NULL;
$pago_ef=0;
$pago_de=0;
$pago_tc=0;
$pago_vo=0;
$pago_re=0;
$pago_xp=0;
$idvoucher=$vouchs;

function redondear($valor) {
$float_redondeado=round($valor * 100) / 100;
return $float_redondeado;
}

// **********************************************************************************//
switch($tipop){
					
                case 0: $pago_ef=$gtot; $tipopp="Efectivo"; break;
		            case 1: $pago_de=$gtot; $tipopp="Deposito";break;
                case 2: $pago_tc=$gtot; $tipopp="Tarjeta";break;
                case 3: $pago_vo=$gtot; $tipopp="Voucher";break;
                case 4: $pago_re=$gtot; $tipopp="Regalias";break;

		            case 5: $pago_xp=$gtot; $tipopp="Por Pagar";break;
					
		} 
// **********************************************************************************//			
date_default_timezone_set('America/Mexico_City');
setlocale(LC_ALL,"es_ES");

if($noregis!=25){
$qa = "SELECT consec FROM cdconsec WHERE idcd =$idcdin";
$ca = mysqli_query($conexion, $qa) or die ('Error (select consec): ' . mysqli_error($conexion));
while($ra = mysqli_fetch_row($ca)){ $trans = $ra[0]+1;}
if($entrega==$idcdin){$qIP = "INSERT INTO transacciones(
inversionista_id_inver, tipostr_idtipostr, fechat, horat, usuarios_ci_idusuarios_ci, statusentrega, consec, cdentrega, fechae, observaciones) 
VALUES ('$idinvc', '39',curdate(),curtime(),'$idcdin', 'ENTREGADO', $trans, $entrega, curdate(),'Abono de $ $gtot')";
$cIP = mysqli_query($conexion, $qIP) or die ('Error (insert transacciones): ' . mysqli_error($conexion));
}
else {$qIP = "INSERT INTO transacciones(
inversionista_id_inver, tipostr_idtipostr, fechat, horat, usuarios_ci_idusuarios_ci, statusentrega, consec, cdentrega, fechae, observaciones) 
VALUES ('$idinvc', '39',curdate(),curtime(),'$idcdin', 'PENDIENTE', $trans, $entrega, curdate(),'Abono de $ $gtot')";
$cIP = mysqli_query($conexion, $qIP) or die ('Error (insert transacciones): ' . mysqli_error($conexion));
}
            
$transac =mysqli_insert_id($conexion);
$qIP2 = "INSERT INTO pagovta( idtransacciones, efectivo, deposito, tarjeta, regalias, voucher, porpagar) VALUES ('$transac', '$pago_ef', '$pago_de', '$pago_tc', '$pago_re', '$pago_vo', '$pago_xp')";
$cIP2 = mysqli_query($conexion, $qIP2) or die ('Error (insert pagovta): ' . mysqli_error($conexion));	
if($tipop==2)$idbanco=3;
$qP = "INSERT INTO depositos(centros_idcd, transacciones_idtransacciones, cantidad, banco_idbanco, no_ficha, fechad, status) VALUES ('$idcdin', '$transac','$gtot','$idbanco','$foliofic','$ifecha','$tipopp')";
$cP = mysqli_query($conexion, $qP) or die ('Error (insert depositos): ' . mysqli_error($conexion));
                                  
$qPP = "update cdconsec set consec='$trans' where idcd=$idcdin";
$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP update consec: '. mysqli_error($conexion));

$qDG="SELECT rfc, idprom, nombre, appat, apmat, domicilio, cp, ciudad, tel1 FROM inversionista WHERE id_inver = '".$idinvc."'";
$cDG = mysqli_query($conexion, $qDG) or die ('Error (Obtencion DG.): ' . mysqli_error($conexion));
  while($rDG = mysqli_fetch_row($cDG)){
	$dg_rfc = $rDG[0];
	$dg_rfcP = $rDG[1];
	$dg_nom = $rDG[2];
	$dg_apP = $rDG[3];
	$dg_apM = $rDG[4];
	$dg_dom = $rDG[5];
	$dg_cp = $rDG[6];
	$dg_ciudad = $rDG[7];
	$dg_tel = $rDG[8];
                                      }
   
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$cdent=$entrega;  
//echo "su Abono fue de $".$monto."<br>";
                    
 if($restc>$monto){
    $res=$restc-$monto;
    $mc2="insert into abono_evento (abono, restante, fecha_abono, tipo_pago, Ab_a_id) values ($monto, $res, '$fecha_i', $tipop, $idABc)";
    $mh2=mysqli_query($conexion, $mc2) or die("Error 2".mysqli_error($conexion));
    $mc6="update abono_evento set abono=$monto, restante=$res, fecha_abono='$fecha_i' , tipo_pago=$tipop where id_abono=$idABc ";
    $mh6=mysqli_query($conexion, $mc6) or die("Error 6".mysqli_error($conexion));
  //  echo "Le sigue faltando $".$res."<br>". "<a href='apartados.php'>Volver</a><br>";
//---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------//
 if($tipop==3){
  $selectvoucher="SELECT * from voucher where idv='$idvoucher'";
           $QVou=mysqli_query($conexion, $selectvoucher);
           $ObVou=mysqli_fetch_object($QVou);
           $restvou=$ObVou->restante-$monto;
  $UpVoucher="update voucher set restante='$restvou' where idv='$idvoucher'";
  mysqli_query($conexion, $UpVoucher)or die ('UpVoucher: '. mysqli_error($conexion));} 
echo"<table><tr valign=\"top\" height=\"470\">";
//************************************************************************//
echo "<td>
        <img src=\"notatop.jpg\" width=\"300\">
	<font size=\"2\">
	<br><bR>
	<b>Pedido $idcdin -$trans Pago: $tipopp </b>";
echo"<br>".(strftime("%A, %d de %B de %Y; a las %X"))."<br> Asignar a RFC: $dg_rfc &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CD: $idcdin &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CDE: $cdent
        <br>Nombre: $dg_nom $dg_apP $dg_apM
        <center>";
        echo "<h3>Abono Evento Aniversario 2016</h3>"
        . "Pago de $ $monto";
	$gtot2=$gtot;
	echo "<table><tr><td width=\"20\"></td><td align=\"center\" width=\"140\"> Puntos 0</td><td align=\"center\" width=\"23\">Total:</td><td align=\"center\" width=\"70\">$ $gtot2</td></tr>
	</table></font></center><br><font size=\"2\">ORIGINAL - Distribuidor</font>
      </td>";
//**************************************************************************//			
echo "<td width=\"60\"></td><td><img src=\"notatop.jpg\" width=\"300\">
	<font size=\"2\"><br><bR>
	<b> Pedido $idcdin -$trans Pago: $tipopp </b>";
echo"<br>".(strftime("%A, %d de %B de %Y; a las %X"))."<br> Asignar a RFC: $dg_rfc &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CD: $idcdin  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CDE: $cdent
	<br>Nombre: $dg_nom $dg_apP $dg_apM
	<center>";
        echo "<h3>Abono Evento Aniversario 2016</h3>"
        . "Pago de $ $monto";
      echo "<br><font size=\"2\">COPIA - Centro de Distribuci&oacute;n</font>";
      echo "</center></td></tr>";
//*************************************************************************//
echo"<tr>";
echo "<td><br>";
//************************************************************************//pedido	
	echo "</td>";
echo "<td width=\"30\"></td><td><br><font size=\"5\">
		<center><b>Control Admin.</b></center>
		<font size=\"2\"><br><b>Transacci&oacute;n $idcdin -$trans</b> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; RFC: $dg_rfc";
                if($opc==1){echo"<br><b> Ref: </b>$foliofic &nbsp;$idbanco";}if($opc==3){echo "<br><b> Voucher: </b> &nbsp;$idvoucher";}
		echo"<br>".(strftime("%A, %d de %B de %Y; a las %X"))."<br>
		<br>Nombre: $dg_nom $dg_apP $dg_apM
		<br>CD:<B>$idcdin</b>";
		echo "<h3>Abono Evento Aniversario 2016</h3>"
                . "Pago de $ $monto";
                echo "
		<center><table border=\"1\"><tr>
		<td>EF</td><td>DE</td><td>TC</td><td>RE</td><td>VO</td><td>XP</td>
		</tr>
		<tr>
		<td>$pago_ef</td><td>$pago_de</td><td>$pago_tc</td><td>$pago_re</td><td>$pago_vo</td><td>$pago_xp</td>
</tr></table>";echo"</center></td></tr></table>";
 }//restante mayor
 //
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////      
if($restc<$monto){
    $res2=$monto-$restc;
    $mc5="insert into abono_evento (abono, restante, fecha_abono, tipo_pago, Ab_a_id) values ($monto, 0, '$fecha_i', $tipop, $idABc)";
    $mh5=mysqli_query($conexion, $mc5) or die("Error 2".mysqli_error($conexion));
    $mc6="update abono_evento set abono=$monto, restante=0, fecha_abono='$fecha_i', tipo_pago=$tipop, liquidado=1, fecha_liquid=CURRENT_TIMESTAMP where id_abono=$idABc ";
    $mh6=mysqli_query($conexion, $mc6) or die("Error 6".mysqli_error($conexion));
   // echo "Su cambio es de $".$res2."<br>". "<a href='apartados.php'>Volver</a><br>";
//-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------//      
if($tipop==3){
    $selectvoucher="SELECT * from voucher where idv='$idvoucher'";
           $QVou=mysqli_query($conexion, $selectvoucher);
           $ObVou=mysqli_fetch_object($QVou);
           $restvou=$ObVou->restante-$monto;
  $UpVoucher="update voucher set restante='$restvou' where idv='$idvoucher'";
  mysqli_query($conexion, $UpVoucher)or die ('UpVoucher: '. mysqli_error($conexion));}
echo"<table><tr valign=\"top\" height=\"470\">";
//************************************************************************//
echo "<td>
        <img src=\"notatop.jpg\" width=\"300\">
	<font size=\"2\">
	<br><bR>
	<b>Pedido $idcdin -$trans Pago: $tipopp </b>";
echo"<br>".(strftime("%A, %d de %B de %Y; a las %X"))."<br> Asignar a RFC: $dg_rfc &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CD: $idcdin &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CDE: $cdent
        <br>Nombre: $dg_nom $dg_apP $dg_apM
        <center>";
        echo "<h3>Abono Evento Aniversario 2016</h3>"
        . "Pago de $ $monto". "   Cuarto  <b>LIQUIDADO<b>";
	$gtot2=$gtot;
	echo "<table><tr><td width=\"20\"></td><td align=\"center\" width=\"140\"> Puntos 0</td><td align=\"center\" width=\"23\">Total:</td><td align=\"center\" width=\"70\">$ $gtot2</td></tr>
	</table></font></center><br><font size=\"2\">ORIGINAL - Distribuidor</font>
      </td>";
//************************************************************************//			
echo "<td width=\"60\"></td><td><img src=\"notatop.jpg\" width=\"300\">
	<font size=\"2\"><br><bR>
	<b> Pedido $idcdin -$trans Pago: $tipopp </b>";
echo"<br>".(strftime("%A, %d de %B de %Y; a las %X"))."<br> Asignar a RFC: $dg_rfc &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CD: $idcdin  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CDE: $cdent
	<br>Nombre: $dg_nom $dg_apP $dg_apM
	<center>";
        echo "<h3>Abono Evento Aniversario 2016</h3>"
        . "Pago de $ $monto"
                . "   Cuarto  <b>LIQUIDADO<b>"
                . "<br><font size=\"2\">COPIA - Centro de Distribuci&oacute;n</font>";
      echo "</center></td></tr>";
//************************************************************************//
$df1 = "insert into pedido(transacciones_idtransacciones,productos_idprod,cant) Values (".$transac.",467,2)";
$fd1 = mysqli_query($conexion, $df1) or die("Error 6556: ".mysqli_error($conexion));
$qpl = "update stock set cantidad=cantidad-2 where idprod=467 and idcd='$entrega'";
$cpl = mysqli_query($conexion, $qpl) or die ('Error (update stock): ' . mysqli_error($conexion));
echo"<tr>";
echo "<td><br>
	<font size=\"5\">
	<center><b>Control Inventario</B></center> </font><font size=\"2\"><br><b>Pedido $idcdin -$trans</b>
	&nbsp;&nbsp;&nbsp;&nbsp;Realizo: $idcdin &nbsp;&nbsp;&nbsp;&nbsp; Entrego: $cdent";
	echo "<h3>Regalo Evento Aniversario 2016</h3>"
        . "2 - Plata 1000 ORO 1Lt";
	echo "</td>";
//************************************************************************//
echo "<td width=\"30\"></td><td><br><font size=\"5\">
		<center><b>Control Admin.</b></center>
		<font size=\"2\"><br><b>Transacci&oacute;n $idcdin -$trans</b> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; RFC: $dg_rfc";
                if($tipop==3)echo"<br><b> Ref: </b>$foliofic &nbsp;$idbanco";if($opc==3){echo "<br><b> Voucher: </b> &nbsp;$idvoucher";}
		echo"<br>".(strftime("%A, %d de %B de %Y; a las %X"))."<br>
		<br>Nombre: $dg_nom $dg_apP $dg_apM
		<br>CD:<B>$idcdin</b>";
		echo "<h3>Abono Evento Aniversario 2016</h3>"
                . "Pago de $ $monto". "   Cuarto <b>LIQUIDADO<b>";
                echo "
		<center><table border=\"1\"><tr>
		<td>EF</td><td>DE</td><td>TC</td><td>RE</td><td>VO</td><td>XP</td>
		</tr>
		<tr>
		<td>$pago_ef</td><td>$pago_de</td><td>$pago_tc</td><td>$pago_re</td><td>$pago_vo</td><td>$pago_xp</td>
</tr></table>";echo"</center></td></tr></table>";
}//restante menor
//
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////      
if($restc==$monto){
    $mc5="insert into abono_evento (abono, restante, fecha_abono, tipo_pago, Ab_a_id) values ($monto, 0, '$fecha_i', $opc, $idABc)";
    $mh5=mysqli_query($conexion, $mc5) or die("Error 2".mysqli_error($conexion));
    $mc6="update abono_evento set abono=$monto, restante=0, fecha_abono='$fecha_i', tipo_pago=$tipop, liquidado=1, fecha_liquid=CURRENT_TIMESTAMP where id_abono=$idABc ";
    $mh6=mysqli_query($conexion, $mc6) or die("Error 6".mysqli_error($conexion));
  //  echo "Cuarto $idAPc LIQUIDADO<br>". "<a href='apartados.php'>Volver</a><br>";
//-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------//    
if($tipop==3){
    $selectvoucher="SELECT * from voucher where idv='$idvoucher'";
           $QVou=mysqli_query($conexion, $selectvoucher);
           $ObVou=mysqli_fetch_object($QVou);
           $restvou=$ObVou->restante-$monto;
  $UpVoucher="update voucher set restante='$restvou' where idv='$idvoucher'";
  mysqli_query($conexion, $UpVoucher)or die ('UpVoucher: '. mysqli_error($conexion));}
echo"<table><tr valign=\"top\" height=\"470\">";
//************************************************************************//
echo "<td>
        <img src=\"notatop.jpg\" width=\"300\">
	<font size=\"2\">
	<br><bR>
	<b>Pedido $idcdin -$trans Pago: $tipopp </b>";
	echo"<br> <b> Ref: </b>00001 &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <b> Fecha: </b>$ifecha ";
        echo"<br>".(strftime("%A, %d de %B de %Y; a las %X"))."<br> Asignar a RFC: $dg_rfc &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CD: $idcdin &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CDE: $cdent
        <br>Nombre: $dg_nom $dg_apP $dg_apM
        <center>";
        echo "<h3>Abono Evento Aniversario 2016</h3>"
        . "Pago de $ $monto". "   Cuarto <b>LIQUIDADO<b>";
	$gtot2=$gtot;
	echo "<table><tr><td width=\"20\"></td><td align=\"center\" width=\"140\"> Puntos 0</td><td align=\"center\" width=\"23\">Total:</td><td align=\"center\" width=\"70\">$ $gtot2</td></tr>
	</table></font></center><br><font size=\"2\">ORIGINAL - Distribuidor</font>
      </td>";
//************************************************************************//			
echo "<td width=\"60\"></td><td><img src=\"notatop.jpg\" width=\"300\">
	<font size=\"2\"><br><bR>
	<b> Pedido $idcdin -$trans Pago: $tipopp </b>";
	echo"<br>".(strftime("%A, %d de %B de %Y; a las %X"))."<br> Asignar a RFC: $dg_rfc &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CD: $idcdin  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CDE: $cdent
	<br>Nombre: $dg_nom $dg_apP $dg_apM
	<center>";
        echo "<h3>Abono Evento Aniversario 2016</h3>"
        . "Pago de $ $monto". "    Cuarto <b>LIQUIDADO<b>"
                . "<br><font size=\"2\">COPIA - Centro de Distribuci&oacute;n</font>";
      echo "</center></td></tr>";
//************************************************************************//
$df1 = "insert into pedido(transacciones_idtransacciones,productos_idprod,cant) Values ($transac,467,2)";
$fd1 = mysqli_query($conexion, $df1) or die("Error 6556: ".mysqli_error($conexion));
$qpl = "update stock set cantidad=cantidad-2 where idprod=467 and idcd='$entrega'";
$cpl = mysqli_query($conexion, $qpl) or die ('Error (update stock): ' . mysqli_error($conexion));
echo"<tr>";
echo "<td><br>
	<font size=\"5\">
	<center><b>Control Inventario</B></center> </font><font size=\"2\"><br><b>Pedido $idcdin -$trans</b>
	&nbsp;&nbsp;&nbsp;&nbsp;Realizo: $idcdin &nbsp;&nbsp;&nbsp;&nbsp; Entrego: $cdent";
	echo "<h3>Regalo Evento Aniversario 2016</h3>"
        . "2 - Plata 1000 ORO 1Lt ";
	echo "</td>";
//************************************************************************//
echo "<td width=\"30\"></td><td><br><font size=\"5\">
		<center><b>Control Admin.</b></center>
		<font size=\"2\"><br><b>Transacci&oacute;n $idcdin -$trans</b> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; RFC: $dg_rfc";
                if($tipop==3){echo"<br><b> Ref: </b>$foliofic &nbsp;$idbanco";}if($opc==3){echo "<br><b> Voucher: </b> &nbsp;$idvoucher";}
		echo"<br>".(strftime("%A, %d de %B de %Y; a las %X"))."<br>
		<br>Nombre: $dg_nom $dg_apP $dg_apM
		<br>CD:<B>$idcdin</b>";
		echo "<h3>Abono Evento Aniversario 2016</h3>"
                . "Pago de $ $monto";
                echo "
		<center><table border=\"1\"><tr>
		<td>EF</td><td>DE</td><td>TC</td><td>RE</td><td>VO</td><td>XP</td>
		</tr>
		<tr>
		<td>$pago_ef</td><td>$pago_de</td><td>$pago_tc</td><td>$pago_re</td><td>$pago_vo</td><td>$pago_xp</td>
</tr></table>";echo"</center></td></tr></table>";
}//restante igual
//
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////     
if($restc==0){
    echo "Este distribuidor no debe nada"
    . "<a href='apartados.php'>Volver</a><br>";}//no hay restante}
}



elseif($noregis==25)
{
 $qa = "SELECT consec FROM cdconsec WHERE idcd =$idcdin";
$ca = mysqli_query($conexion, $qa) or die ('Error (select consec): ' . mysqli_error($conexion));
while($ra = mysqli_fetch_row($ca)){ $trans = $ra[0]+1;}
if($entrega==$idcdin){$qIP = "INSERT INTO transacciones(
inversionista_id_inver, tipostr_idtipostr, fechat, horat, usuarios_ci_idusuarios_ci, statusentrega, consec, cdentrega, fechae, observaciones) 
VALUES ('', '39',curdate(),curtime(),'$idcdin', 'ENTREGADO', $trans, $entrega, curdate(),'Abono de $ $gtot')";
$cIP = mysqli_query($conexion, $qIP) or die ('Error (insert transacciones): ' . mysqli_error($conexion));
}
else {$qIP = "INSERT INTO transacciones(
inversionista_id_inver, tipostr_idtipostr, fechat, horat, usuarios_ci_idusuarios_ci, statusentrega, consec, cdentrega, fechae, observaciones) 
VALUES ('', '39',curdate(),curtime(),'$idcdin', 'PENDIENTE', $trans, $entrega, curdate(),'Abono de $ $gtot')";
$cIP = mysqli_query($conexion, $qIP) or die ('Error (insert transacciones): ' . mysqli_error($conexion));
}
            
$transac = mysqli_insert_id($conexion);	
                            
$qIP2 = "INSERT INTO pagovta( idtransacciones, efectivo, deposito, tarjeta, regalias, voucher, porpagar) VALUES ('$transac', '$pago_ef', '$pago_de', '$pago_tc', '$pago_re', '$pago_vo', '$pago_xp')";
$cIP2 = mysqli_query($conexion, $qIP2) or die ('Error (insert pagovta): ' . mysqli_error($conexion));	
if($tipop==2)$idbanco=3;  
$qP = "INSERT INTO depositos(centros_idcd, transacciones_idtransacciones, cantidad, banco_idbanco, no_ficha, fechad, status) VALUES ('$idcdin', '$transac', '$gtot', '$idbanco','$foliofic', '$ifecha','$tipop')";
$cP = mysqli_query($conexion, $qP) or die ('Error (insert depositos): ' . mysqli_error($conexion));
                                  
$qPP = "update cdconsec set consec='$trans' where idcd=$idcdin";
$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP update consec: '. mysqli_error($conexion));

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$cdent=$entrega;  
//echo "su Abono fue de $".$monto."<br>";
                    
 if($restc>$monto){
    $res=$restc-$monto;
    $mc2="insert into abono_evento (abono, restante, fecha_abono, tipo_pago, Ab_a_id) values ($monto, $res, '$fecha_i', $opc, $idABc)";
    $mh2=mysqli_query($conexion, $mc2) or die("Error 2".mysqli_error($conexion));
    $mc6="update abono_evento set abono=$monto, restante=$res, fecha_abono='$fecha_i' , tipo_pago=$tipop where id_abono=$idABc ";
    $mh6=mysqli_query($conexion, $mc6) or die("Error 6".mysqli_error($conexion));
  //  echo "Le sigue faltando $".$res."<br>". "<a href='apartados.php'>Volver</a><br>";
//---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------//
if($tipop==3){
    $selectvoucher="SELECT * from voucher where idv='$idvoucher'";
           $QVou=mysqli_query($conexion, $selectvoucher);
           $ObVou=mysqli_fetch_object($QVou);
           $restvou=$ObVou->restante-$monto;
  $UpVoucher="update voucher set restante='$restvou' where idv='$idvoucher'";
  mysqli_query($conexion, $UpVoucher)or die ('UpVoucher: '. mysqli_error($conexion));}   
echo"<table><tr valign=\"top\" height=\"470\">";
//************************************************************************//
echo "<td>
        <img src=\"notatop.jpg\" width=\"300\">
	<font size=\"2\">
	<br><bR>
	<b>Pedido $idcdin -$trans Pago: $tipopp </b>";
echo"<br>".(strftime("%A, %d de %B de %Y; a las %X"))."<br> Asignar a RFC: $rfckc &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CD: $idcdin &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CDE: $cdent
        <br>Nombre: $rfckc
        <center>";
        echo "<h3>Abono Evento Aniversario 2016</h3>"
        . "Pago de $ $monto";
	$gtot2=$gtot;
	echo "<table><tr><td width=\"20\"></td><td align=\"center\" width=\"140\"> Puntos 0</td><td align=\"center\" width=\"23\">Total:</td><td align=\"center\" width=\"70\">$ $gtot2</td></tr>
	</table></font></center><br><font size=\"2\">ORIGINAL - Distribuidor</font>
      </td>";
//**************************************************************************//			
echo "<td width=\"60\"></td><td><img src=\"notatop.jpg\" width=\"300\">
	<font size=\"2\"><br><bR>
	<b> Pedido $idcdin -$trans Pago: $tipopp </b>";
echo"<br>".(strftime("%A, %d de %B de %Y; a las %X"))."<br> Asignar a RFC: $rfckc &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CD: $idcdin  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CDE: $cdent
	<br>Nombre: $rfckc
	<center>";
        echo "<h3>Abono Evento Aniversario 2016</h3>"
        . "Pago de $ $monto<br>"
                . "<font size=\"2\">COPIA - Centro de Distribuci&oacute;n</font>";
      echo "</center></td></tr>";
//*************************************************************************//
echo"<tr>";
echo "<td><br>";
//************************************************************************//	
	echo "</td>";
echo "<td width=\"30\"></td><td><br><font size=\"5\">
		<center><b>Control Admin.</b></center>
		<font size=\"2\"><br><b>Transacci&oacute;n $idcdin -$trans</b> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; RFC: $rfckc";
                //if($opc=1){echo"<br><b> Ref: </b>$ifolio &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <b> Fecha: </b>$ifecha ";}
		echo"<br>".(strftime("%A, %d de %B de %Y; a las %X"))."<br>
		<br>Nombre: $rfckc
		<br>CD:<B>$idcdin</b>";
		echo "<h3>Abono Evento Aniversario 2016</h3>"
                . "Pago de $ $monto";
                echo "
		<center><table border=\"1\"><tr>
		<td>EF</td><td>DE</td><td>TC</td><td>RE</td><td>VO</td><td>XP</td>
		</tr>
		<tr>
		<td>$pago_ef</td><td>$pago_de</td><td>$pago_tc</td><td>$pago_re</td><td>$pago_vo</td><td>$pago_xp</td>
</tr></table>";echo"</center></td></tr></table>";
 }//restante mayor
 //
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////      
if($restc<$monto){
    $res2=$monto-$restc;
    $mc5="insert into abono_evento (abono, restante, fecha_abono, tipo_pago, Ab_a_id) values ($monto, 0, '$fecha_i', $opc, $idABc)";
    $mh5=mysqli_query($conexion, $mc5) or die("Error 2".mysqli_error($conexion));
    $mc6="update abono_evento set abono=$monto, restante=0, fecha_abono='$fecha_i', tipo_pago=$tipop, liquidado=1, fecha_liquid=CURRENT_TIMESTAMP where id_abono=$idABc ";
    $mh6=mysqli_query($conexion, $mc6) or die("Error 6".mysqli_error($conexion));
   // echo "Su cambio es de $".$res2."<br>". "<a href='apartados.php'>Volver</a><br>";
//-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------//      
if($tipop==3){
    $selectvoucher="SELECT * from voucher where idv='$idvoucher'";
           $QVou=mysqli_query($conexion, $selectvoucher);
           $ObVou=mysqli_fetch_object($QVou);
           $restvou=$ObVou->restante-$monto;
  $UpVoucher="update voucher set restante='$restvou' where idv='$idvoucher'";
  mysqli_query($conexion, $UpVoucher)or die ('UpVoucher: '. mysqli_error($conexion));}
echo"<table><tr valign=\"top\" height=\"470\">";
//************************************************************************//
echo "<td>
        <img src=\"notatop.jpg\" width=\"300\">
	<font size=\"2\">
	<br><bR>
	<b>Pedido $idcdin -$trans Pago: $tipopp </b>";
echo"<br>".(strftime("%A, %d de %B de %Y; a las %X"))."<br> Asignar a RFC: $rfckc &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CD: $idcdin &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CDE: $cdent
        <br>Nombre: $rfckc
        <center>";
        echo "<h3>Abono Evento Aniversario 2016</h3>"
        . "Pago de $ $monto". "   Cuarto  <b>LIQUIDADO<b>";
	$gtot2=$gtot;
	echo "<table><tr><td width=\"20\"></td><td align=\"center\" width=\"140\"> Puntos 0</td><td align=\"center\" width=\"23\">Total:</td><td align=\"center\" width=\"70\">$ $gtot2</td></tr>
	</table></font></center><br><font size=\"2\">ORIGINAL - Distribuidor</font>
      </td>";
//************************************************************************//			
echo "<td width=\"60\"></td><td><img src=\"notatop.jpg\" width=\"300\">
	<font size=\"2\"><br><bR>
	<b> Pedido $idcdin -$trans Pago: $tipopp </b>";
echo"<br>".(strftime("%A, %d de %B de %Y; a las %X"))."<br> Asignar a RFC: $rfckc &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CD: $idcdin  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CDE: $cdent
	<br>Nombre: $rfckc
	<center>";
        echo "<h3>Abono Evento Aniversario 2016</h3>"
        . "Pago de $ $monto"
                . "   Cuarto  <b>LIQUIDADO<b>"
                . "<br><font size=\"2\">COPIA - Centro de Distribuci&oacute;n</font>";
      echo "</center></td></tr>";
//************************************************************************//
$df1 = "insert into pedido(transacciones_idtransacciones,productos_idprod,cant) Values ($transac,467,2)";
$fd1 = mysqli_query($conexion, $df1) or die("Error 6556: ".mysqli_error($conexion));
$qpl = "update stock set cantidad=cantidad-2 where idprod=467 and idcd='$entrega'";
$cpl = mysqli_query($conexion, $qpl) or die ('Error (update stock): ' . mysqli_error($conexion));
echo"<tr>";
echo "<td><br>
	<font size=\"5\">
	<center><b>Control Inventario</B></center> </font><font size=\"2\"><br><b>Pedido $idcdin -$trans</b>
	&nbsp;&nbsp;&nbsp;&nbsp;Realizo: $idcdin &nbsp;&nbsp;&nbsp;&nbsp; Entrego: $cdent";
	echo "<h3>Regalo Evento Aniversario 2016</h3>"
        . "2 - Plata 1000 ORO 1Lt";
	echo "</td>";
//************************************************************************//
echo "<td width=\"30\"></td><td><br><font size=\"5\">
		<center><b>Control Admin.</b></center>
		<font size=\"2\"><br><b>Transacci&oacute;n $idcdin -$trans</b> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; RFC: $rfckc";
                //if($opc=1){echo"<br><b> Ref: </b>$ifolio &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <b> Fecha: </b>$ifecha ";}
		echo"<br>".(strftime("%A, %d de %B de %Y; a las %X"))."<br>
		<br>Nombre: $rfckc
		<br>CD:<B>$idcdin</b>";
		echo "<h3>Abono Evento Aniversario 2016</h3>"
                . "Pago de $ $monto". "   Cuarto <b>LIQUIDADO<b>";
                echo "
		<center><table border=\"1\"><tr>
		<td>EF</td><td>DE</td><td>TC</td><td>RE</td><td>VO</td><td>XP</td>
		</tr>
		<tr>
		<td>$pago_ef</td><td>$pago_de</td><td>$pago_tc</td><td>$pago_re</td><td>$pago_vo</td><td>$pago_xp</td>
</tr></table>";echo"</center></td></tr></table>";
}//restante menor
//
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////      
if($restc==$monto){
    $mc5="insert into abono_evento (abono, restante, fecha_abono, tipo_pago, Ab_a_id) values ($monto, 0, '$fecha_i', $opc, $idABc)";
    $mh5=mysqli_query($conexion, $mc5) or die("Error 2".mysqli_error($conexion));
    $mc6="update abono_evento set abono=$monto, restante=0, fecha_abono='$fecha_i', tipo_pago=$tipop, liquidado=1, fecha_liquid=CURRENT_TIMESTAMP where id_abono=$idABc ";
    $mh6=mysqli_query($conexion, $mc6) or die("Error 6".mysqli_error($conexion));
  //  echo "Cuarto $idAPc LIQUIDADO<br>". "<a href='apartados.php'>Volver</a><br>";
//-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------//    
if($tipop==3){
    $selectvoucher="SELECT * from voucher where idv='$idvoucher'";
           $QVou=mysqli_query($conexion, $selectvoucher);
           $ObVou=mysqli_fetch_object($QVou);
           $restvou=$ObVou->restante-$monto;
  $UpVoucher="update voucher set restante='$restvou' where idv='$idvoucher'";
  mysqli_query($conexion, $UpVoucher)or die ('UpVoucher: '. mysqli_error($conexion));}
echo"<table><tr valign=\"top\" height=\"470\">";
//************************************************************************//
echo "<td>
        <img src=\"notatop.jpg\" width=\"300\">
	<font size=\"2\">
	<br><bR>
	<b>Pedido $idcdin -$trans Pago: $tipopp </b>";
	echo"<br> <b> Ref: </b>00001 &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <b> Fecha: </b>$ifecha ";
        echo"<br>".(strftime("%A, %d de %B de %Y; a las %X"))."<br> Asignar a RFC: $rfckc &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CD: $idcdin &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CDE: $cdent
        <br>Nombre: $rfckc
        <center>";
        echo "<h3>Abono Evento Aniversario 2016</h3>"
        . "Pago de $ $monto". "   Cuarto <b>LIQUIDADO<b>";
	$gtot2=$gtot;
	echo "<table><tr><td width=\"20\"></td><td align=\"center\" width=\"140\"> Puntos 0</td><td align=\"center\" width=\"23\">Total:</td><td align=\"center\" width=\"70\">$ $gtot2</td></tr>
	</table></font></center><br><font size=\"2\">ORIGINAL - Distribuidor</font>
      </td>";
//************************************************************************//			
echo "<td width=\"60\"></td><td><img src=\"notatop.jpg\" width=\"300\">
	<font size=\"2\"><br><bR>
	<b> Pedido $idcdin -$trans Pago: $tipopp </b>";
	echo"<br>".(strftime("%A, %d de %B de %Y; a las %X"))."<br> Asignar a RFC: $rfckc &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CD: $idcdin  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CDE: $cdent
	<br>Nombre: $rfckc
	<center>";
        echo "<h3>Abono Evento Aniversario 2016</h3>"
        . "Pago de $ $monto". "    Cuarto <b>LIQUIDADO<b>"
                . "<br><font size=\"2\">COPIA - Centro de Distribuci&oacute;n</font>";
      echo "</center></td></tr>";
//************************************************************************//
$df1 = "insert into pedido(transacciones_idtransacciones,productos_idprod,cant) Values ($transac,467,2)";
$fd1 = mysqli_query($conexion, $df1) or die("Error 6556: ".mysqli_error($conexion));
$qpl = "update stock set cantidad=cantidad-2 where idprod=467 and idcd='$entrega'";
$cpl = mysqli_query($conexion, $qpl) or die ('Error (update stock): ' . mysqli_error($conexion));
echo"<tr>";
echo "<td><br>
	<font size=\"5\">
	<center><b>Control Inventario</B></center> </font><font size=\"2\"><br><b>Pedido $idcdin -$trans</b>
	&nbsp;&nbsp;&nbsp;&nbsp;Realizo: $idcdin &nbsp;&nbsp;&nbsp;&nbsp; Entrego: $cdent";
	echo "<h3>Regalo Evento Aniversario 2016</h3>"
        . "2 - Plata 1000 ORO 1Lt ";
	echo "</td>";
//************************************************************************//
echo "<td width=\"30\"></td><td><br><font size=\"5\">
		<center><b>Control Admin.</b></center>
		<font size=\"2\"><br><b>Transacci&oacute;n $idcdin -$trans</b> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; RFC: $rfckc";
                //if($opc=1){echo"<br><b> Ref: </b>$ifolio &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <b> Fecha: </b>$ifecha ";}
		echo"<br>".(strftime("%A, %d de %B de %Y; a las %X"))."<br>
		<br>Nombre: $rfckc
		<br>CD:<B>$idcdin</b>";
		echo "<h3>Abono Evento Aniversario 2016</h3>"
                . "Pago de $ $monto";
                echo "
		<center><table border=\"1\"><tr>
		<td>EF</td><td>DE</td><td>TC</td><td>RE</td><td>VO</td><td>XP</td>
		</tr>
		<tr>
		<td>$pago_ef</td><td>$pago_de</td><td>$pago_tc</td><td>$pago_re</td><td>$pago_vo</td><td>$pago_xp</td>
</tr></table>";echo"</center></td></tr></table>";
}//restante igual
//
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////     
if($restc==0){
    echo "Este distribuidor no debe nada"
    . "<a href='apartados.php'>Volver</a><br>";}//no hay restante}   
}
    
?>
    </body>
</html>